# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-11-01 16:04
from __future__ import unicode_literals

from django.db import migrations
from spectator.core.fields import AutoSlugField


def set_slug(apps, schema_editor):
    """
    Create a slug for each Publication already in the DB.
    """
    Publication = apps.get_model('spectator_reading', 'Publication')

    # We need to use AutoSlugField's methods to generate a slug for each
    # Publication.
    asfield = AutoSlugField(populate_from='title', separator='-')
    asfield.attname = 'slug'

    for p in Publication.objects.all():
        p.slug = asfield.pre_save(p, True)
        p.save()


class Migration(migrations.Migration):

    dependencies = [
        ('spectator_reading', '0002_publicationseries_slug'),
    ]

    operations = [
        migrations.AddField(
            model_name='publication',
            name='slug',
            field=AutoSlugField(blank=True, editable=False, null=True, populate_from='title'),
        ),
        migrations.RunPython(set_slug),
    ]
